package image

import (
	"context"

	log "github.com/sirupsen/logrus"
)

func resourcePresentToUpgradeV1(ctx context.Context, rawState map[string]interface{}, meta any) (map[string]interface{}, error) {
	log.Debug("resourcePresentToUpgradeV1: upgrading state")
	rawState["present_to"] = make(map[string]uint64)

	return rawState, nil
}
